#pragma once
#include "Vector2.h"
class CGameMain;
class CFmfMap;

//̍\́Bi~`A肪Ƃ܂Bj
struct Segment {
	Vector2 s;//̎n_
	Vector2 v;//̏I_ƒ
};

//⓹C̍őlBi0͕`pA1͎lp`̓蔻pBj
const int MaxLayerNum = 0;

class CCollision {
	CGameMain* Game;
	float OffsetL, OffsetR, OffsetU, OffsetD;
	POINT mPt[8];
	int ColType;
public:
	CCollision(POINT pt[], float offset_l, float offset_u, float offset_r, float offset_d, int col_type, CGameMain* game);
	POINT CheckMap(int x, int y, float addx = 0,float addy = 0);
	//C[ԍmFBi⓹pj
	int GetChipLayerNum(int x,int y);
	//⓹̓蔻
	Vector2 CheckSlope(int x, int y,Segment& Slope,int layernum,int slopecond,int addy = 0);
	//⓹̃ubNƂĂ̓蔻B
	POINT CheckSlopeBlock(int x, int y,int layernum,int addy=0);
	//ubN̍̓_Bi⓹pj
	Vector2 GetMatrixPos(float myx, float myy);
	//seg1,2AoutT1,2̓AoutPos_io͗pj
	bool ColSegments(Segment &seg1, Segment &seg2, float* outT1 = 0, float* outT2 = 0, Vector2* outPos = 0);
	//̏Փ˔
	void GetXPosition(float* myx, float* myy, float* addx, float* addy);
	//c̏Փ˔
	void GetYPosition(float* myx, float* myy, float* addx, float* addy, int* jcount, bool* gflag);
	void GetMove(float* myx, float* myy, float* addx, float* addy,int* jcount,bool* gflag);
};
const float GRAVMAX = 20.0F;
const float GRAV = 0.5F;
/* Segment SlopeR;
SlopeR.s = { (float)x + pt[0].x,(float)y + pt[0].y };
SlopeR.v = { (float)x + pt[7].x,(float)y + pt[7].y }; */