#pragma once
class CGameMain;
class CFmfMap;
class CPlayer;
class CStage {
protected:
	CGameMain* Game;
public:
	const char* Name;
	CStage(const char* name, CGameMain* game) : Name(name) { Game = game; }
	virtual void Init() {}
	virtual void Destroy() {}
	virtual bool Move() { return true; }
	virtual void Draw() {}
	void DrawStage();
};

class CFirstStage : public CStage {

public:
	CPlayer* Player;
	CFirstStage(CGameMain* game) : CStage("FirstStage" , game) {}
	void Init() override;
	void Destroy() override;
	bool Move() override;
	void Draw() override;
};