#pragma once
#include <vector>
using namespace std;

#define MOTION_MAX 30
#define ANIMATION_MAX 30
const int MLOOP = -1;
const int MEND = -2;
const int MSTOP = -3;
enum MOTION_NAME{STAND,WALK,JUMP,LAND};

class CMotion {
public:
	int No;
	int Time;
};

class CAnim {
public:
	int AnimIndex, MotionType;
	int PrevMotion;
	float AnimCnt;
	CAnim(const CMotion* motion, int col, int row);
	vector<vector<CMotion>> WMotion;
	vector<CMotion> VMotion;

	void Animation(float anim_speed);
	void MotionChange(int motion);
	int GetAnimNo() const { return WMotion[MotionType][AnimIndex].No; }
};