//fobÕg[jOłɍ蒼B
#include "Main.h"
#include "Stage.h"
#include "Player.h"

CGameMain::CGameMain() 
	:StageIndex(0){
	DxLib_Init();
	SetDrawScreen(DX_SCREEN_BACK);
	SetPlayerGh();
	//⓹̃eXg"̎eXg"
	SetMap("̎eXg.fmf", "}bv`bv.bmp");
}

void CGameMain::SetPlayerGh() {
	LoadDivGraph("L.bmp", 32, 8, 4, 16, 16, PlayerGh);
}

CFmfMap & CGameMain::MapData() {
	return MapObj;
}

int CGameMain::SetMap(const char* mapfile, const char* mapgh) {
	if (!MapData().Open(mapfile)) {
		return -1;
	}
	BYTE* layer = (BYTE*)MapData().GetLayerAddr(0);
	if (layer == NULL) {
		MapData().Close();
		return -1;
	}
	if ((MapGraph = LoadGraph(mapgh)) == -1) {
		return -1;
	}
	BitCount = MapData().GetLayerBitCount() == 8 ? 16 : 256;
	return 0;
}

int CGameMain::GetBitCount() const{
	return BitCount;
}

int CGameMain::GetMapGraph() {
	return MapGraph;
}

int & CGameMain::GetPlayerGh(int frame) {
	return PlayerGh[frame];
}

CGameMain::~CGameMain(){
	delete Player;
	delete Stage;
	DxLib_End();
}

void CGameMain::SetPlayer(float x, float y) {
	GetPlayer()->SetPlayer(&x, &y);
}

void CGameMain::FirstInit() {
	Stage = new CFirstStage(this);
	Stage->Init();
}

void CGameMain::Run() {
	Stage->Move();
	Stage->Draw();
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow) {
	CGameMain* Game;
	ChangeWindowMode(TRUE); SetGraphMode(320, 240, 32), SetUseCharSet(DX_CHARSET_UTF8);
	Game = new CGameMain();
	Game->FirstInit();
	while (ScreenFlip() == 0 && ProcessMessage() == 0 && ClearDrawScreen() == 0) {
		Game->Run();
	}
	delete Game;
	return 0;
}