#pragma once
#include "DxLib.h"
#include "fmfmap.h"
const int MAP_CELL = 16;
class CStage;
class CFmfMap;
class CPlayer;
class CGameMain {
	int MapGraph;
	int PlayerGh[32];
	int BitCount;
public:
	CStage* Stage;
	CFmfMap MapObj;
	CPlayer* Player;
	int StageIndex;
	CGameMain();
	~CGameMain();
	void SetPlayerGh();
	int & GetPlayerGh(int frame);
	int SetMap(const char* mapfile, const char* mapgh);
	void SetPlayer(CPlayer* player) { Player = player; }
	void SetPlayer(float x, float y);
	CPlayer* GetPlayer() { return Player; }
	CFmfMap & MapData();
	int GetBitCount() const;
	int GetMapGraph();
	void FirstInit();
	void Run();
	virtual void Move() {}
	virtual void Draw() {}
};