#pragma once
#include "Mover.h"

class CGameMain;
class CAnim;
class CCollision;
class CPlayer : public CMover {
	CGameMain* Game;
	CCollision* ColObj;
	int Dir;
	int JBFrame;
protected:
	int JumpCount;
	bool GroundFlag;
public:
	CPlayer(CGameMain* game);
	CPlayer(float x, float y, CGameMain* game);
	~CPlayer();
	void SetPlayer(float* x, float* y);
	bool Move() override;
	void Draw() override;
};